"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tap_1 = require("tap");
const default_options_1 = require("../../default-options");
const create_ffmpeg_flags_1 = require("../create-ffmpeg-flags");
tap_1.test('invalid', function (t) {
    t.plan(1);
    try {
        create_ffmpeg_flags_1.createFFmpegFlags('video.mov', {
            ...default_options_1.defaultOptions,
            crop: 'foo'
        });
        t.fail();
    }
    catch {
        t.pass();
    }
});
tap_1.test('width and height only', function (t) {
    t.plan(1);
    const flags = create_ffmpeg_flags_1.createFFmpegFlags('video.mov', {
        ...default_options_1.defaultOptions,
        crop: '360,640'
    });
    t.deepEqual({
        'an': null,
        'codec:a': 'copy',
        'codec:v': null,
        'filter:a': [],
        'filter:v': ['crop=360:640:0:0'],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
});
tap_1.test('width, height, and coordinates', function (t) {
    t.plan(1);
    const flags = create_ffmpeg_flags_1.createFFmpegFlags('video.mov', {
        ...default_options_1.defaultOptions,
        crop: '10,20,360,640'
    });
    t.deepEqual({
        'an': null,
        'codec:a': 'copy',
        'codec:v': null,
        'filter:a': [],
        'filter:v': ['crop=360:640:10:20'],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
});
