"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tap_1 = require("tap");
const default_options_1 = require("../../default-options");
const create_ffmpeg_flags_1 = require("../create-ffmpeg-flags");
tap_1.test('convert to same format as input file', function (t) {
    t.plan(1);
    const flags = create_ffmpeg_flags_1.createFFmpegFlags('video.mov', {
        ...default_options_1.defaultOptions,
        format: 'mov'
    });
    t.deepEqual({
        'an': null,
        'codec:a': 'copy',
        'codec:v': 'copy',
        'filter:a': [],
        'filter:v': [],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
});
tap_1.test('convert to GIF format', function (t) {
    t.plan(1);
    const flags = create_ffmpeg_flags_1.createFFmpegFlags('video.mov', {
        ...default_options_1.defaultOptions,
        format: 'gif'
    });
    t.deepEqual({
        'an': null,
        'codec:a': null,
        'codec:v': null,
        'filter:a': [],
        'filter:v': [],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
});
