"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tap_1 = require("tap");
const default_options_1 = require("../../default-options");
const create_ffmpeg_flags_1 = require("../create-ffmpeg-flags");
tap_1.test('invalid', function (t) {
    t.plan(1);
    try {
        create_ffmpeg_flags_1.createFFmpegFlags('video.mov', {
            ...default_options_1.defaultOptions,
            resize: 'foo'
        });
        t.fail();
    }
    catch {
        t.pass();
    }
});
tap_1.test('width only', function (t) {
    t.plan(1);
    const flags = create_ffmpeg_flags_1.createFFmpegFlags('video.mov', {
        ...default_options_1.defaultOptions,
        resize: '360,-1'
    });
    t.deepEqual({
        'an': null,
        'codec:a': 'copy',
        'codec:v': null,
        'filter:a': [],
        'filter:v': ['scale=360:-1'],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
});
tap_1.test('height only', function (t) {
    t.plan(1);
    const flags = create_ffmpeg_flags_1.createFFmpegFlags('video.mov', {
        ...default_options_1.defaultOptions,
        resize: '-1,640'
    });
    t.deepEqual({
        'an': null,
        'codec:a': 'copy',
        'codec:v': null,
        'filter:a': [],
        'filter:v': ['scale=-1:640'],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
});
tap_1.test('width and height', function (t) {
    t.plan(1);
    const flags = create_ffmpeg_flags_1.createFFmpegFlags('video.mov', {
        ...default_options_1.defaultOptions,
        resize: '360,640'
    });
    t.deepEqual({
        'an': null,
        'codec:a': 'copy',
        'codec:v': null,
        'filter:a': [],
        'filter:v': ['scale=360:640'],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
});
