"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tap_1 = require("tap");
const default_options_1 = require("../../default-options");
const create_ffmpeg_flags_1 = require("../create-ffmpeg-flags");
tap_1.test('90 degrees counter-clockwise', function (t) {
    t.plan(1);
    const flags = create_ffmpeg_flags_1.createFFmpegFlags('video.mov', {
        ...default_options_1.defaultOptions,
        rotate: '-90'
    });
    t.deepEqual({
        'an': null,
        'codec:a': 'copy',
        'codec:v': null,
        'filter:a': [],
        'filter:v': ['transpose=2'],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
});
tap_1.test('90 degrees clockwise', function (t) {
    t.plan(1);
    const flags = create_ffmpeg_flags_1.createFFmpegFlags('video.mov', {
        ...default_options_1.defaultOptions,
        rotate: '90'
    });
    t.deepEqual({
        'an': null,
        'codec:a': 'copy',
        'codec:v': null,
        'filter:a': [],
        'filter:v': ['transpose=1'],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
});
tap_1.test('180 degrees', function (t) {
    t.plan(1);
    const flags = create_ffmpeg_flags_1.createFFmpegFlags('video.mov', {
        ...default_options_1.defaultOptions,
        rotate: '180'
    });
    t.deepEqual({
        'an': null,
        'codec:a': 'copy',
        'codec:v': null,
        'filter:a': [],
        'filter:v': ['transpose=1,transpose=1'],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
});
