"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tap_1 = require("tap");
const default_options_1 = require("../../default-options");
const create_ffmpeg_flags_1 = require("../create-ffmpeg-flags");
tap_1.test('0.5x volume', function (t) {
    t.plan(1);
    const flags = create_ffmpeg_flags_1.createFFmpegFlags('video.mov', {
        ...default_options_1.defaultOptions,
        volume: 0.5
    });
    t.deepEqual({
        'an': null,
        'codec:a': null,
        'codec:v': 'copy',
        'filter:a': ['volume=0.5'],
        'filter:v': [],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
});
tap_1.test('2x volume', function (t) {
    t.plan(1);
    const flags = create_ffmpeg_flags_1.createFFmpegFlags('video.mov', {
        ...default_options_1.defaultOptions,
        volume: 2
    });
    t.deepEqual({
        'an': null,
        'codec:a': null,
        'codec:v': 'copy',
        'filter:a': ['volume=2.0'],
        'filter:v': [],
        'i': 'video.mov',
        'ss': null,
        'to': null
    }, flags);
});
